//---------------------------------------------------------------------------
#ifndef CyberpunkH
#define CyberpunkH
//---------------------------------------------------------------------------
class TRemailerDoc : public TStringList
{
public:
   bool OpenDoc,Modified;
   virtual __fastcall TRemailerDoc();
   virtual __fastcall TRemailerDoc(AnsiString Docfile);
};

AnsiString __fastcall CpkDir();
AnsiString __fastcall CpkPublicRing();
AnsiString __fastcall CpkKeyDesc(TStrings *key);
AnsiString __fastcall CpkGetAddresses(AnsiString &fromLine);
AnsiString __fastcall CpkPasteFromClipboard();
bool __fastcall CpkKeyDefinately(TStrings *ascii);
bool __fastcall CpkGetNextKey(AnsiString &keydesc,TStrings *key,TStrings *keys);
AnsiString __fastcall CpkCrtDesc(AnsiString &line);
AnsiString __fastcall CpkRemLines(TStrings *CList=NULL);

bool __fastcall CpkGenType1();
bool __fastcall CpkGenType1(TStrings *Type2, TStrings *Cring, bool SaveToDisk=false);
bool __fastcall InType1(AnsiString &remailer, TStrings *list);

void __fastcall CpkBlockToKeysFull(TStrings *Block);
// constants used for help windows
const AnsiString CyberpunkDocs = "Cyberpunk Online Documents"; // caption
const AnsiString UpdateCpkDocs = "UpdateCpkDocs"; // help section
const AnsiString noCkeyfound = "----------";

bool __fastcall CpkRingLineOk(AnsiString &line);
bool __fastcall CpkListLineOk(AnsiString &line);

// key status after init
// key is an ascii key-block
const int ksKeyOk = 0;
const int ksEmptyKey = -1;  // no ascii strings at all
const int ksEmptyDescription = -2; // has unknown strings > 0 but description is null
const int ksNoBeginNoEnd = -3;
const int ksNoBegin = -4;
const int ksNoEnd = -5;

//void __fastcall CpkBlockToKeysClistDesc(TStrings *Block);
//void __fastcall CpkBlockToKeys(TStrings *Block);
//void __fastcall CpkKeysToBlock(TStrings *Keys);
/*class TCpkKey : public TObject
{
public:
   int status;
   TStringList *Block;
   AnsiString Description;
   __fastcall TCpkKey(TStrings *Key);
   __fastcall ~TCpkKey();
};

class TCpkDb : public TObject
{
public:
   bool modified;
   TStringList *keys;
   AnsiString keyring;
   virtual __fastcall TCpkDb(AnsiString PubRing);
   virtual __fastcall TCpkDb(TStrings *PubKeys=NULL);
   virtual __fastcall ~TCpkDb();
   TCpkKey* __fastcall GetKey(int Pos);
   void __fastcall SaveToFile(AnsiString &FileName);
   void __fastcall SaveToStrings(TStrings *Strings);
   AnsiString __fastcall SaveToString();
   int __fastcall AddKeyStrings(TStrings *Key);
   int __fastcall AddKey(TCpkKey *Key);
   int __fastcall Find(TCpkKey* Key);
   int __fastcall FindDescrip(AnsiString &Descrip);
   int __fastcall Delete(int Item);
   void __fastcall Clear();
};
*/
//---------------------------------------------------------------------------
#endif
