//---------------------------------------------------------------------------
#ifndef NymRepDlgsH
#define NymRepDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include "fileman.h"
#include "pgpbuffers.h"
//---------------------------------------------------------------------------
bool __fastcall GenerateReplyBlocks(TForm *Owner,TStrings *Compiled,TStrings *BlocksText);
bool __fastcall GetCpkRemailerShortsEqualLongs(TStringList *remailers);
bool __fastcall GetCpkRemailerShorts(TStrings *tostrings, TStrings *shrtslongs);
bool __fastcall GetCpkRemailerLongs(TStrings *tostrings, TStrings *shrtslongs);
bool __fastcall GetCpkDirectives(TStrings *tostrings);
bool __fastcall GetCpkHeaders(TStrings *tostrings);

class TNymRepDlg : public TForm
{
__published:	// IDE-managed Components
  TPanel *Panel1;
  TTimer *Timer1;
  void __fastcall Timer1Timer(TObject *Sender);
private:	// User declarations
public:		// User declarations
  int pgpresult;
  AnsiString cap;
  TStringList *bubble,*leg,*block,*blocks,*compiled;
  virtual __fastcall TNymRepDlg(TComponent* Owner);
  virtual __fastcall TNymRepDlg(TComponent* Owner, TStrings *BlocksText);
  virtual __fastcall~TNymRepDlg();
  void __fastcall Display(AnsiString msg, int mics);
  bool __fastcall GetNextReplyBlock(TStrings *blk, TStrings *blks);
  bool __fastcall GetNextReplyLeg(TStrings *leg, TStrings *blk);
  bool __fastcall ValidRemailerName(AnsiString &remname, TPGPbuffer *cpkkeys);
  void __fastcall ReplaceShortsWithAddresses();
  bool __fastcall IsReplyHdr(AnsiString line);
  bool __fastcall GenerateReplyBlocks();
};
//---------------------------------------------------------------------------
extern TNymRepDlg *NymRepDlg;
//---------------------------------------------------------------------------
#endif
